MTCObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.plants

## Interface MTCObjectIdentifiers

-     public interface MTCObjectIdentifiers

  OID constants used by the experimental encoding of Merkle Tree Certificates (draft-ietf-plants-merkle-tree-certs).

  Section 5.2 and Section 6.1 of the draft reserve two arcs under Cloudflare's IANA PEN (1.3.6.1.4.1.44363.47) for early implementations, until IANA assigns the production OIDs under the PKIX algorithms (1.3.6.1.5.5.7.6) and RDN attribute (1.3.6.1.5.5.7.25) arcs.

  To be deleted: every constant in this class is an interim placeholder under the Cloudflare PEN. When IANA assigns the production OIDs, these constants should be removed and the production OIDs added (under a different arc class) — no back-compat aliases.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `cloudFlare` Cloudflare's IANA PEN arc.
    `static ASN1ObjectIdentifier` | `id_alg_mtcProof` id-alg-mtcProof signature-algorithm OID for the certificate signatureAlgorithm field.
    `static ASN1ObjectIdentifier` | `id_pe_mtcCertificationAuthority` id-pe-mtcCertificationAuthority extension OID for the CA certificate representation (Section 5.5 of the draft).
    `static ASN1ObjectIdentifier` | `id_rdna_trustAnchorID` id-rdna-trustAnchorID RDN attribute OID for the certificate issuer field.

- - ### Field Detail

    - #### cloudFlare

          static final ASN1ObjectIdentifier cloudFlare

      Cloudflare's IANA PEN arc. To be deleted when production OIDs are assigned.

    - #### id_alg_mtcProof

          static final ASN1ObjectIdentifier id_alg_mtcProof

      id-alg-mtcProof signature-algorithm OID for the certificate signatureAlgorithm field. To be deleted when IANA assigns the production OID under id-pkix algorithms.

    - #### id_rdna_trustAnchorID

          static final ASN1ObjectIdentifier id_rdna_trustAnchorID

      id-rdna-trustAnchorID RDN attribute OID for the certificate issuer field. To be deleted when IANA assigns the production OID under id-pkix RDN attributes.

    - #### id_pe_mtcCertificationAuthority

          static final ASN1ObjectIdentifier id_pe_mtcCertificationAuthority

      id-pe-mtcCertificationAuthority extension OID for the CA certificate representation (Section 5.5 of the draft). To be deleted when IANA assigns the production OID.